--- postgresql-8.0.0/src/include/access/heapam.h	2004-12-31 14:03:21.000000000 -0800
+++ postgresql-8.0.0-ss/src/include/access/heapam.h	2005-02-25 17:37:24.256359103 -0800
@@ -25,6 +25,28 @@
 #include "utils/rel.h"
 #include "utils/tqual.h"
 
+
+/* Synchronized Scanning:
+ *  These definitions and declarations are used
+ *  by the Synchronized Scanning support functions
+ *  in heapam.c
+ */
+
+#include <sys/shm.h>
+#define SS_HASH_TABLE_SIZE 1024
+#define SS_SHM_KEY 0x11aa55cc
+
+typedef struct {
+  Oid relid;
+  BlockNumber loc;
+} ss_scan_loc_t;
+
+static BlockNumber ss_get_startloc(Oid);
+static int         ss_report_loc(Oid,BlockNumber);
+static int         ss_hash_relid(Oid);
+
+/* end Synchronized Scanning section */
+
 /* ----------------
  *		fastgetattr
  *
